# CommonProtos.InvokeResponseOrBuilder (dapr-sdk-parent 1.10.0 API)

Package io.dapr.v1

## Interface CommonProtos.InvokeResponseOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `CommonProtos.InvokeResponse`, `CommonProtos.InvokeResponse.Builder`

Enclosing class:
  CommonProtos

    public static interface CommonProtos.InvokeResponseOrBuilder
    extends com.google.protobuf.MessageOrBuilder

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `getContentType()` Required.
`com.google.protobuf.ByteString` `getContentTypeBytes()` Required.
`com.google.protobuf.Any` `getData()` Required in unary RPCs.
`com.google.protobuf.AnyOrBuilder` `getDataOrBuilder()` Required in unary RPCs.
`boolean` `hasData()` Required in unary RPCs.

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Method Detail

#### hasData

    boolean hasData()

     Required in unary RPCs. The content body of InvokeService response.

`.google.protobuf.Any data = 1;`

Returns:
  Whether the data field is set.

#### getData

    com.google.protobuf.Any getData()

     Required in unary RPCs. The content body of InvokeService response.

`.google.protobuf.Any data = 1;`

Returns:
  The data.

#### getDataOrBuilder

    com.google.protobuf.AnyOrBuilder getDataOrBuilder()

     Required in unary RPCs. The content body of InvokeService response.

`.google.protobuf.Any data = 1;`

#### getContentType

    String getContentType()

     Required. The type of data content.

`string content_type = 2;`

Returns:
  The contentType.

#### getContentTypeBytes

    com.google.protobuf.ByteString getContentTypeBytes()

     Required. The type of data content.

`string content_type = 2;`

Returns:
  The bytes for contentType.